# 指标 监控特定指标数据,近乎实时地测量资产性能。流式网络数据包括以下指标: * 端口带宽使用指标为端口传输 (tx) 或接收 (rx) 的数据提供每秒位数 (bit/s) 的输出。 * 连接带宽使用情况为通过端口为 a 侧的连接、Cloud Router和端口之间以及Cloud Router和云服务提供商之间传输 (tx) 或接收 (rx) 的数据提供每秒位数 (bit/s) 的输出。 * 都会区延迟指标提供从单个[订阅都会区代码](https://docs.equinix.com/zh-Hans/observability/streaming-data/api-managing-assets.md#metros)到其他都会[区](https://docs.equinix.com/zh-Hans/observability/streaming-data/api-managing-assets.md#metros)的延迟(以毫秒(ms)为单位),以及所有都会区对之间的延迟。 * 端口错误和丢包指标提供了由于数据包格式、传输错误,甚至端口带宽不足以接受数据包而导致的给定端口上的数据包丢弃数量。 * 连接数据包丢弃指标提供由于超出传输 (tx) 或接收 (rx) 数据的带宽限制而导致连接上丢弃的数据包数量。仅适用于连接的端口端。 请参阅每项资产的[受支持指标参考](https://github.com/equinix/equinix-cloudevents?tab=readme-ov-file#metrics)。 ## 查看指标[​](#查看指标 "直接链接至查看指标") 您可以在客户门户网站中查看单个端口或虚拟连接的指标。可用的使用和数据包丢放指标。 1. 登录[客户门户网站](http://portal.equinix.com)> Fabric控制面板。 2. 导航至\_端口清单\_或\_连接清单\_。 3. 选择一个端口或虚拟连接。 4. 在[端口详情](https://docs.equinix.com/zh-Hans/fabric/ports/fabric-port-utilization.md#metrics)或[连接详情](https://docs.equinix.com/zh-Hans/fabric/managing-connections/fabric-connection-traffic.md#metrics)页面中,单击\_指标\_。 ![连接使用情况指标表示例](https://docs.equinix.com/zh-Hans/assets/images/example-metrics-connection-usage-f8277d85775d287d816ecfc676393ebe.png) ## 从 API 查看指标[​](#从-api-查看指标 "直接链接至从 API 查看指标") 您可以从Equinix API检索单个资产的指标。 ### 城域间延迟[​](#城域间延迟 "直接链接至城域间延迟") 要查看两个都会区之间的时延,请向端点发送`GET`请求[`/fabric/v4///metrics`](https://docs.equinix.com/zh-Hans/api-catalog/fabricv4/metrics/getmetricbyassetid.md),其中: * `asset`。`metros` * `asset_id` 是两个字母的都会区代码 * 并指定`name=equinix.fabric.metro._.latency`为请求的查询参数。 cURL 请求示例: ``` curl -X 'GET' 'https://api.equinix.com/fabric/v4/metros/SV/metrics?name=equinix.fabric.metro.sv_am.latency' \ -H 'Content-Type: application/json' \ -H 'Authorization: Bearer ' ``` 示例回答: ``` { "pagination": { "offset": 0, "limit": 10, "total": 3, "next": null, "previous": null }, "data": [ { "type": "GAUGE", "name": "equinix.fabric.metro.sv_am.latency", "unit": "ms", "resource": { "href": "https://uatapi.equinix.com/fabric/v4/metros/SV", "type": "XF_METRO", "description": "Silicon Valley to Amsterdam intermetro latency, average in milliseconds" }, "summary": { "mean": 136.9, "max": 137 }, "datapoints": [ { "endDateTime": "2025-06-05T18:50:03Z", "value": 137 }, { "endDateTime": "2025-06-05T18:55:03Z", "value": 137 }, { "endDateTime": "2025-06-05T19:00:03Z", "value": 137 }, { "endDateTime": "2025-06-05T19:05:03Z", "value": 137 } ] } ] } ``` 要查看所有都会区对之间的实时时延,请向端点发送`GET`请求[`/fabric/v4/metrics`](https://docs.equinix.com/zh-Hans/api-catalog/fabricv4/metrics/getmetricbyname.md)。在查询参数中,指定: * `name=equinix.fabric.metro.*.latency`和`value=last`。 * (可选)包含参数`limit=`以指定要从结果返回的所需指标类型数量。 * (可选)包含参数`offset=`以指定要跳过的结果数。 cURL 请求示例: ``` curl -X 'GET' 'https://api.equinix.com/fabric/v4/metrics?value=last&limit=3&name=equinix.fabric.metro.*.latency' \ -H 'Content-Type: application/json' \ -H 'Authorization: Bearer ' ``` 示例回答: ``` { "pagination": { "offset": 0, "limit": 3, "total": 4112, "next": "/metrics?offset=3&limit=3&fromDateTime=2026-01-29T18:05:44.041Z&name=equinix.fabric.metro.*.latency&toDateTime=2026-01-30T18:05:44.041Z" }, "data": [ { "type": "GAUGE", "name": "equinix.fabric.metro.am_at.latency", "unit": "ms", "resource": { "href": "https://api.equinix.com/fabric/v4/metros/AM", "type": "XF_METRO", "code": "AM", "description": "Amsterdam to Atlanta intermetro latency, average in milliseconds" }, "datapoints": [ { "endDateTime": "2026-01-30T18:05:00Z", "value": 94.7 } ] }, { "type": "GAUGE", "name": "equinix.fabric.metro.am_ba.latency", "unit": "ms", "resource": { "href": "https://api.equinix.com/fabric/v4/metros/AM", "type": "XF_METRO", "code": "AM", "description": "Amsterdam to Barcelona intermetro latency, average in milliseconds" }, "datapoints": [ { "endDateTime": "2026-01-30T18:05:00Z", "value": 28.8 } ] }, { "type": "GAUGE", "name": "equinix.fabric.metro.am_bg.latency", "unit": "ms", "resource": { "href": "https://api.equinix.com/fabric/v4/metros/AM", "type": "XF_METRO", "code": "AM", "description": "Amsterdam to Bogota intermetro latency, average in milliseconds" }, "datapoints": [ { "endDateTime": "2026-01-30T18:05:00Z", "value": 159 } ] } ] } ``` ### 端口带宽使用情况[​](#端口带宽使用情况 "直接链接至端口带宽使用情况") 要查看端口带宽使用情况,请向端点发送`GET`请求[`/fabric/v4///metrics`](https://docs.equinix.com/zh-Hans/api-catalog/fabricv4/metrics/getmetricbyassetid.md),其中: * `asset`。`ports` * `asset_id` 是特定端口的uuid 查询参数: * 入站-`equinix.fabric.port.bandwidth_rx.usage` * 出站-`equinix.fabric.port.bandwidth_tx.usage` 要查看所有带宽使用情况,请指定`name=equinix.fabric.port.bandwidth_rx.usage&name=equinix.fabric.port.bandwidth_tx.usage`为请求的查询参数。使用和指定时间段`fromDateTime``toDateTime`。 cURL 请求示例: ``` curl -X 'GET' 'https://api.equinix.com/fabric/v4/ports//metrics?name=equinix.fabric.port.bandwidth_rx.usage&name=equinix.fabric.port.bandwidth_tx.usage&fromDateTime=2025-05-12T19%3A18%3A00Z&toDateTime=2025-05-13T19%3A18%3A00Z' \ -H 'Content-Type: application/json' \ -H 'Authorization: Bearer ' ``` 示例回答: ``` { "pagination": { "offset": 0, "limit": 10, "total": 2, "next": null, "previous": null }, "data": [ { "type": "GAUGE", "name": "equinix.fabric.port.bandwidth_rx.usage", "unit": "bit/s", "resource": { "href": "https://api.equinix.com/fabric/v4/ports/", "type": "XF_PORT", "uuid": "", "state": "PROVISIONED", "name": "TEST-PORT-NAME" }, "summary": { "mean": 198.7, "max": 219 }, "datapoints": [ { "endDateTime": "2025-05-12T19:20:47.000Z", "value": 202 }, { "endDateTime": "2025-05-12T19:25:51.000Z", "value": 192 }, { "endDateTime": "2025-05-12T19:30:51.000Z", "value": 203 }, { "endDateTime": "2025-05-12T19:35:53.000Z", "value": 194 } ] }, { "type": "GAUGE", "name": "equinix.fabric.port.bandwidth_tx.usage", "unit": "bit/s", "resource": { "href": "https://api.equinix.com/fabric/v4/ports/", "type": "XF_PORT", "uuid": "", "state": "PROVISIONED", "name": "TEST-PORT-NAME" }, "summary": { "mean": 0, "max": 0 }, "datapoints": [ { "endDateTime": "2025-05-12T19:20:47.000Z", "value": 0 }, { "endDateTime": "2025-05-12T19:25:51.000Z", "value": 0 }, { "endDateTime": "2025-05-12T19:30:51.000Z", "value": 0 }, { "endDateTime": "2025-05-12T19:35:53.000Z", "value": 0 } ] } ] } ``` ### 端口数据包被丢弃[​](#端口数据包被丢弃 "直接链接至端口数据包被丢弃") 要查看从端口丢弃的数据包数量,请向端点发送`GET`请求[`/fabric/v4///metrics`](https://docs.equinix.com/zh-Hans/api-catalog/fabricv4/metrics/getmetricbyassetid.md),其中: * `asset`。`ports` * `asset_id` 是特定端口的uuid 查询参数: * 入站-`equinix.fabric.port.packets_dropped_rx.count` * 出站-`equinix.fabric.port.packets_dropped_tx.count` 要获取所有丢弃数据包的计数,请指定`name=equinix.fabric.port.packets_dropped_rx.count&name=equinix.fabric.port.packets_dropped_tx.count`为请求的查询参数。使用和指定时间段`fromDateTime``toDateTime`。 cURL 请求示例: ``` curl -X 'GET' 'https://api.equinix.com/fabric/v4/ports//metrics?name=equinix.fabric.port.packets_dropped_rx.count&name=equinix.fabric.port.packets_dropped_tx.count&fromDateTime=2025-05-12T19%3A18%3A00Z&toDateTime=2025-05-13T19%3A18%3A00Z' \ -H 'Content-Type: application/json' \ -H 'Authorization: Bearer ' ``` 示例回答: ``` { "pagination": { "offset": 0, "limit": 10, "total": 2, "next": null, "previous": null }, "data": [ { "type": "SUM", "name": "equinix.fabric.port.packets_dropped_rx.count", "unit": "packet", "resource": { "href": "https://api.equinix.com/fabric/v4/ports/", "type": "XF_PORT", "uuid": "", "state": "PROVISIONED", "name": "TEST-PORT-NAME" }, "summary": { "mean": 0, "max": 0 } }, { "type": "SUM", "name": "equinix.fabric.port.packets_dropped_tx.count", "unit": "packet", "resource": { "href": "https://api.equinix.com/fabric/v4/ports/", "type": "XF_PORT", "uuid": "", "state": "PROVISIONED", "name": "TEST-PORT-NAME" }, "summary": { "mean": 0, "max": 0 } } ] } ``` ### 端口数据包错误[​](#端口数据包错误 "直接链接至端口数据包错误") 要查看端口的数据包错误,请向端点发送`GET`请求[`/fabric/v4///metrics`](https://docs.equinix.com/zh-Hans/api-catalog/fabricv4/metrics/getmetricbyassetid.md) * `asset`。`ports` * `asset_id` 是特定端口的uuid 查询参数: * 入站-`equinix.fabric.port.packets_erred_rx.count` * 出站-`equinix.fabric.port.packets_erred_tx.count` 要获取所有数据包错误的计数,请指定`name=equinix.fabric.port.packets_erred_rx.count&name=equinix.fabric.port.packets_erred_tx.count`为请求的查询参数。使用和指定时间段`fromDateTime``toDateTime`。 cURL 请求示例: ``` curl -X 'GET' 'https://api.equinix.com/fabric/v4/ports//metrics?name=equinix.fabric.port.packets_erred_rx.count&name=equinix.fabric.port.packets_erred_tx.count&fromDateTime=2025-05-12T19%3A18%3A00Z&toDateTime=2025-05-13T19%3A18%3A00Z' \ -H 'Content-Type: application/json' \ -H 'Authorization: Bearer ' ``` 示例回答: ``` { "pagination": { "offset": 0, "limit": 10, "total": 2, "next": null, "previous": null }, "data": [ { "type": "SUM", "name": "equinix.fabric.port.packets_erred_rx.count", "unit": "packet", "resource": { "href": "https://api.equinix.com/fabric/v4/ports/", "type": "XF_PORT", "uuid": "", "state": "PROVISIONED", "name": "TEST-PORT-NAME" }, "summary": { "mean": 0, "max": 0 } }, { "type": "SUM", "name": "equinix.fabric.port.packets_erred_tx.count", "unit": "packet", "resource": { "href": "https://api.equinix.com/fabric/v4/ports/", "type": "XF_PORT", "uuid": "", "state": "PROVISIONED", "name": "TEST-PORT-NAME" }, "summary": { "mean": 0, "max": 0 } } ] } ``` ### 连接带宽使用情况[​](#连接带宽使用情况 "直接链接至连接带宽使用情况") 要查看连接的带宽使用情况,请向端点发送`GET`请求[`/fabric/v4///metrics`](https://docs.equinix.com/zh-Hans/api-catalog/fabricv4/metrics/getmetricbyassetid.md),其中: * `asset`。`connections` * `asset_id` 是特定连接的uuid 查询参数: * 入站-`equinix.fabric.connection.bandwidth_rx.usage` * 出站-`equinix.fabric.connection.bandwidth_tx.usage` 要查看所有带宽使用情况,请指定`name=equinix.fabric.connection.bandwidth_rx.usage&name=equinix.fabric.connection.bandwidth_tx.usage`为请求的查询参数。使用和指定时间段`fromDateTime``toDateTime`。 cURL 请求示例: ``` curl -X 'GET' 'https://api.equinix.com/fabric/v4/connections//metrics?name=equinix.fabric.connection.bandwidth_rx.usage&name=equinix.fabric.connection.bandwidth_tx.usage&fromDateTime=2025-05-12T19%3A18%3A00Z&toDateTime=2025-05-13T19%3A18%3A00Z' \ -H 'Content-Type: application/json' \ -H 'Authorization: Bearer ' ``` 示例回答: ``` { "pagination": { "offset": 0, "limit": 10, "total": 2, "next": null, "previous": null }, "data": [ { "type": "GAUGE", "name": "equinix.fabric.connection.bandwidth_rx.usage", "unit": "bit/s", "resource": { "href": "https://api.equinix.com/fabric/v4/connections/", "type": "EVPL_VC", "uuid": "", "state": "PROVISIONED", "name": "TEST-CONNECTION-NAME" }, "summary": { "mean": 0, "max": 0 }, "datapoints": [ { "endDateTime": "2025-05-12T19:22:48.000Z", "value": 202 }, { "endDateTime": "2025-05-12T19:27:50.000Z", "value": 192 }, { "endDateTime": "2025-05-12T19:31:51.000Z", "value": 203 }, { "endDateTime": "2025-05-12T19:37:45.000Z", "value": 194 } ] }, { "type": "GAUGE", "name": "equinix.fabric.connection.bandwidth_tx.usage", "unit": "bit/s", "resource": { "href": "https://api.equinix.com/fabric/v4/connections/", "type": "EVPL_VC", "uuid": "", "state": "PROVISIONED", "name": "TEST-CONNECTION-NAME" }, "summary": { "mean": 0, "max": 0 }, "datapoints": [ { "endDateTime": "2025-05-12T19:22:48.000Z", "value": 0 }, { "endDateTime": "2025-05-12T19:27:50.000Z", "value": 0 }, { "endDateTime": "2025-05-12T19:31:51.000Z", "value": 0 }, { "endDateTime": "2025-05-12T19:37:45.000Z", "value": 0 } ] } ] } ``` ### 连接数据包丢失[​](#连接数据包丢失 "直接链接至连接数据包丢失") 要查看从连接丢弃的数据包,请向端点发送`GET`请求[`/fabric/v4///metrics`](https://docs.equinix.com/zh-Hans/api-catalog/fabricv4/metrics/getmetricbyassetid.md),其中: * `asset`。`connections` * `asset_id` 是特定连接的uuid 可以获取连接的 a 侧、z 侧、入站和出站指标。 查询参数: * 入站A侧-`equinix.fabric.connection.packets_dropped_rx_aside_rateexceeded.count` * 出站A侧-`equinix.fabric.connection.packets_dropped_tx_aside_rateexceeded.count` * 入站Z侧-`equinix.fabric.connection.packets_dropped_rx_zside_rateexceeded.count` * 出站Z侧-`equinix.fabric.connection.packets_dropped_tx_zside_rateexceeded.count` 要查看连接丢弃的所有数据包,请指定`name=equinix.fabric.connection.packets_dropped_rx_aside_rateexceeded.count&name=equinix.fabric.connection.packets_dropped_tx_aside_rateexceeded.count&name=equinix.fabric.connection.packets_dropped_rx_zside_rateexceeded.count&name=equinix.fabric.connection.packets_dropped_tx_zside_rateexceeded.count`为请求的查询参数。使用和指定时间段`fromDateTime``toDateTime`。 ``` curl -X 'GET' 'https://api.equinix.com/fabric/v4/connections//metrics?name=equinix.fabric.connection.packets_dropped_rx_aside_rateexceeded.count&name=equinix.fabric.connection.packets_dropped_tx_aside_rateexceeded.count&name=equinix.fabric.connection.packets_dropped_rx_zside_rateexceeded.count&name=equinix.fabric.connection.packets_dropped_tx_zside_rateexceeded.count&fromDateTime=2025-05-12T19%3A18%3A00Z&toDateTime=2025-05-13T19%3A18%3A00Z' \ -H 'Content-Type: application/json' \ -H 'Authorization: Bearer ' ``` 示例回答: ``` { "pagination": { "offset": 0, "limit": 10, "total": 2, "next": null, "previous": null }, "data": [ { "type": "SUM", "name": "equinix.fabric.connection.packets_dropped_rx_aside_rateexceeded.count", "unit": "packet", "resource": { "href": "https://api.equinix.com/fabric/v4/connections/", "type": "EVPL_VC", "uuid": "", "state": "PROVISIONED", "name": "TEST-CONNECTION-NAME" }, "summary": { "mean": 0, "max": 0 }, "datapoints": [ { "endDateTime": "2025-05-12T19:28:59.000Z", "value": 0 }, { "endDateTime": "2025-05-12T19:34:01.000Z", "value": 0 }, { "endDateTime": "2025-05-12T19:36:16.000Z", "value": 0 }, { "endDateTime": "2025-05-12T19:42:12.000Z", "value": 0 } ] }, { "type": "SUM", "name": "equinix.fabric.connection.packets_dropped_tx_aside_rateexceeded.count", "unit": "packet", "resource": { "href": "https://api.equinix.com/fabric/v4/connections/", "type": "EVPL_VC", "uuid": "", "state": "PROVISIONED", "name": "TEST-CONNECTION-NAME" }, "summary": { "mean": 0, "max": 0 }, "datapoints": [ { "endDateTime": "2025-05-12T19:28:59.000Z", "value": 0 }, { "endDateTime": "2025-05-12T19:34:01.000Z", "value": 0 }, { "endDateTime": "2025-05-12T19:36:16.000Z", "value": 0 }, { "endDateTime": "2025-05-12T19:42:12.000Z", "value": 0 } ] }, { "type": "SUM", "name": "equinix.fabric.connection.packets_dropped_rx_zside_rateexceeded.count", "unit": "packet", "resource": { "href": "https://api.equinix.com/fabric/v4/connections/", "type": "EVPL_VC", "uuid": "", "state": "PROVISIONED", "name": "TEST-CONNECTION-NAME" }, "summary": { "mean": 0, "max": 0 }, "datapoints": [ { "endDateTime": "2025-05-12T19:28:59.000Z", "value": 0 }, { "endDateTime": "2025-05-12T19:34:01.000Z", "value": 0 }, { "endDateTime": "2025-05-12T19:36:16.000Z", "value": 0 }, { "endDateTime": "2025-05-12T19:42:12.000Z", "value": 0 } ] }, { "type": "SUM", "name": "equinix.fabric.connection.packets_dropped_tx_zside_rateexceeded.count", "unit": "packet", "resource": { "href": "https://api.equinix.com/fabric/v4/connections/", "type": "EVPL_VC", "uuid": "", "state": "PROVISIONED", "name": "TEST-CONNECTION-NAME" }, "summary": { "mean": 0, "max": 0 }, "datapoints": [ { "endDateTime": "2025-05-12T19:28:59.000Z", "value": 0 }, { "endDateTime": "2025-05-12T19:34:01.000Z", "value": 0 }, { "endDateTime": "2025-05-12T19:36:16.000Z", "value": 0 }, { "endDateTime": "2025-05-12T19:42:12.000Z", "value": 0 } ] } ] } ``` ## 创建指标警报[​](#创建指标警报 "直接链接至创建指标警报") 当指标超过定义阈值时,请使用流告警规则管理API创建事件。有关更多信息,请参阅[管理指标告警规则](https://docs.equinix.com/zh-Hans/observability/streaming-data/api-managing-metric-alert-rules.md) ## 在接收器集成中接收指标[​](#在接收器集成中接收指标 "直接链接至在接收器集成中接收指标") 创建数据流并向该数据流添加资产后,可以[创建订阅](https://docs.equinix.com/zh-Hans/observability/streaming-data/create-subscription.md),以便将指标发送给所选的第三方数据收集器。指标按5分钟间隔发送。